curl https://production.methodfi.com/accounts/acc_4m9amk4KFiaQX/attributes \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"bundles": ["statement"]
}'
const attribute = await method
.accounts('acc_4m9amk4KFiaQX')
.attributes
.create();
attribute = method
.accounts('acc_4m9amk4KFiaQX')
.attributes
.create()
{
"success": true,
"data": {
"id": "acc_attr_cWBKqwVP87kim",
"account_id": "acc_4m9amk4KFiaQX",
"status": "in_progress",
"attributes": null,
"error": null,
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
},
"message": null
}
Attributes
Create Attributes
POST
/
accounts
/
{acc_id}
/
attributes
curl https://production.methodfi.com/accounts/acc_4m9amk4KFiaQX/attributes \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"bundles": ["statement"]
}'
const attribute = await method
.accounts('acc_4m9amk4KFiaQX')
.attributes
.create();
attribute = method
.accounts('acc_4m9amk4KFiaQX')
.attributes
.create()
{
"success": true,
"data": {
"id": "acc_attr_cWBKqwVP87kim",
"account_id": "acc_4m9amk4KFiaQX",
"status": "in_progress",
"attributes": null,
"error": null,
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
},
"message": null
}
Creates a new Attribute request to compute the Account’s attributes.
The attributes returned depend on the account’s liability type.
Operation Type:
Path Parameters
Body
Both fields are optional. A request with no body computes the full set of attributes for the account type. Providerequested_attributes, bundles, or both to scope the
response’s attributes object to just the requested attributes.
Returns
Returns an Account’s Attributes object withstatus: "in_progress" and attributes: null.
Once processing completes, the status will update to completed and the attributes object
will be populated. Subscribe to webhooks or poll the
retrieve endpoint to get the final result.
curl https://production.methodfi.com/accounts/acc_4m9amk4KFiaQX/attributes \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"bundles": ["statement"]
}'
const attribute = await method
.accounts('acc_4m9amk4KFiaQX')
.attributes
.create();
attribute = method
.accounts('acc_4m9amk4KFiaQX')
.attributes
.create()
{
"success": true,
"data": {
"id": "acc_attr_cWBKqwVP87kim",
"account_id": "acc_4m9amk4KFiaQX",
"status": "in_progress",
"attributes": null,
"error": null,
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
},
"message": null
}